Patch ApplicationAsk AIpatch https://{application_vanity_domain}/api/v1/applications/{applicationId}Path ParamsapplicationIdstringrequiredlength between 1 and 26The ID of the application that the resource or action is scoped to.Body ParamsApplication patch request adhering to the JSON Merge Patch specification.idstringdomainNamestringlength between 3 and 20deprecatedDeprecation Notice: This field has been replaced by the name field and should no longer be used. In the future, this field may be removed. Name of the application. The name must be unique (case-insensitive) within a workspace.namestringlength between 3 and 20[Required on Create] Name of the application. The name must be unique (case-insensitive) within a workspace.displayNamestringlength between 1 and 60[Required on Create] A friendly name given to an application for display purposes.isMultiTenantboolean[Required on Create] Boolean indicating whether this application allows support for multiple tenants.truetruefalsetenantClassifierstringenumlength between 1 and 45Defaults to TENANTThe default classifier that will be applied to the application's tenants.ORGANIZATIONACCOUNTCOMPANYORGANIZATIONTEAMTENANTWORKSPACEAllowed:ACCOUNTCOMPANYORGANIZATIONTEAMTENANTWORKSPACEenvironmentTypestringenumlength between 1 and 45[Required on Create] The application's environment type.DEVELOPMENTDEVELOPMENTPRODUCTIONAllowed:DEVELOPMENTPRODUCTIONloginUrlurilength between 1 and 2000[Required on Create] The application's login URL that can be called to initiate an authorization flow. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the login URL is redirected to.logoutUrlsarray of urislength ≤ 10List of optional logout URLs that, if specified, can be redirected to after successful logout of a user's session from the Wristband platform. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the logout URL is redirected to.logoutUrlsADD uriallowedOriginsarray of urislength ≤ 5List of optional allowed origins. If specified, these origins will determine whether any cross-origin API calls to this application will be allowed. The wildcard value * can be used as the left most domain label to allow requests to be made from any subdomain.allowedOriginsADD urisignupEnabledbooleanDefaults to trueBoolean indicating whether signup is enabled for an application.truetruefalsecustomApplicationSignupPageUrlurilength between 1 and 2000Custom application-level signup page URL for self-hosted signup UI.customTenantSignupPageUrlurilength between 1 and 2000Custom tenant-level signup page URL for self-hosted signup UI. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the URL is redirected to.customApplicationLoginPageUrlurilength between 1 and 2000Custom application-level login page URL for self-hosted signup UI.customTenantLoginPageUrlurilength between 1 and 2000Custom tenant-level login page URL for self-hosted login UI. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the URL is redirected to.customApplicationErrorPageUrlurilength between 1 and 2000Custom application level error page URL for self-hosted error page UI.customTenantErrorPageUrlurilength between 1 and 2000Custom tenant-level error page URL for self-hosted error page UI. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the URL is redirected to.customExternalIdpApplicationSignupPageUrlurilength between 1 and 2000Custom application-level external IdP signup page URL for self-hosted external IdP signup UI.customExternalIdpTenantSignupPageUrlurilength between 1 and 2000Custom tenant-level external IdP signup page URL for self-hosted external IdP signup UI. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the URL is redirected to.customExternalIdpLoginPageUrlurilength between 1 and 2000Custom external IdP login page URL for self-hosted external IdP login UI. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the URL is redirected to.customExternalIdpInvitePageUrlurilength between 1 and 2000Custom external IdP invite page URL for self-hosted external IdP invite UI. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the URL is redirected to.customExternalIdpChangeEmailPageUrlurilength between 1 and 2000Custom external IdP change email page URL for self-hosted external IdP change email UI. The {tenant_domain} placeholder can be used as the left most domain label. The {tenant_domain} placeholder will be substituted with the current tenant's name when the URL is redirected to.statusstringenumlength between 1 and 45Defaults to ACTIVEThe status of the applicationACTIVEACTIVEINACTIVEDELETE_IN_PROGRESSAllowed:ACTIVEINACTIVEDELETE_IN_PROGRESSmetadatastringHeadersIf-Matchstringlength ≥ 1Used to perform a conditional updateResponses 200OK 400Bad Request 401Unauthorized 403Forbidden 404Not Found 405Method Not Allowed 406Not Acceptable 409Conflict 412Precondition Failed 415Unsupported Media Type 500Internal Server Error 503Service UnavailableUpdated 6 months ago